Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ResolvableDependencies

    public interface ResolvableDependencies

A set of Dependency objects which can be resolved to a set of `File` instances.

Method Summary
`void` | `afterResolve(Action action)` Adds an action to be executed after the dependencies of this set have been resolved.
`void` | `afterResolve(groovy.lang.Closure action)` Adds an action to be executed after the dependencies of this set have been resolved.
`void` | `beforeResolve(Action action)` Adds an action to be executed before the dependencies in this set are resolved.
`void` | `beforeResolve(groovy.lang.Closure action)` Adds an action to be executed before the dependencies in this set are resolved.
`DependencySet` | `getDependencies()` Returns the set of dependencies which will be resolved.
`FileCollection` | `getFiles()` Returns a FileCollection which contains the resolved set of files.
`java.lang.String` | `getName()` Returns the name of this set.
`java.lang.String` | `getPath()` Returns the path of this set.

Method Detail

### afterResolve

    public void afterResolve(Action action)

  Adds an action to be executed after the dependencies of this set have been resolved.
  Parameters:
    `action` - The action to execute.

### afterResolve

    public void afterResolve(groovy.lang.Closure action)

  Adds an action to be executed after the dependencies of this set have been resolved.
  Parameters:
    `action` - The action to execute.

### beforeResolve

    public void beforeResolve(Action action)

  Adds an action to be executed before the dependencies in this set are resolved.
  Parameters:
    `action` - The action to execute.

### beforeResolve

    public void beforeResolve(groovy.lang.Closure action)

  Adds an action to be executed before the dependencies in this set are resolved.
  Parameters:
    `action` - The action to execute.

### getDependencies

    public DependencySet getDependencies()

  Returns the set of dependencies which will be resolved.
  Returns:
    the dependencies. Never null.

### getFiles

    public FileCollection getFiles()

  Returns a FileCollection which contains the resolved set of files. The returned value is lazy, so dependency resolution is not performed until the contents of the collection are queried.
  Returns:
    The collection. Never null.

### getName

    public java.lang.String getName()

  Returns the name of this set.
  Returns:
    The name. Never null.

### getPath

    public java.lang.String getPath()

  Returns the path of this set. This is a unique identifier for this set.
  Returns:
    The path. Never null.

Groovy Documentation